cscg24-guacamole

CSCG 2024 Challenge 'Guacamole Mashup'
git clone https://git.sinitax.com/sinitax/cscg24-guacamole
Log | Files | Refs | sfeed.txt

Makefile (41542B)


      1# Makefile.in generated by automake 1.16.5 from Makefile.am.
      2# src/common-ssh/tests/Makefile.  Generated from Makefile.in by configure.
      3
      4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
      5
      6# This Makefile.in is free software; the Free Software Foundation
      7# gives unlimited permission to copy and/or distribute it,
      8# with or without modifications, as long as this notice is preserved.
      9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16
     17#
     18# Licensed to the Apache Software Foundation (ASF) under one
     19# or more contributor license agreements.  See the NOTICE file
     20# distributed with this work for additional information
     21# regarding copyright ownership.  The ASF licenses this file
     22# to you under the Apache License, Version 2.0 (the
     23# "License"); you may not use this file except in compliance
     24# with the License.  You may obtain a copy of the License at
     25#
     26#   http://www.apache.org/licenses/LICENSE-2.0
     27#
     28# Unless required by applicable law or agreed to in writing,
     29# software distributed under the License is distributed on an
     30# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     31# KIND, either express or implied.  See the License for the
     32# specific language governing permissions and limitations
     33# under the License.
     34#
     35# NOTE: Parts of this file (Makefile.am) are automatically transcluded verbatim
     36# into Makefile.in. Though the build system (GNU Autotools) automatically adds
     37# its own license boilerplate to the generated Makefile.in, that boilerplate
     38# does not apply to the transcluded portions of Makefile.am which are licensed
     39# to you by the ASF under the Apache License, Version 2.0, as described above.
     40#
     41
     42am__is_gnu_make = { \
     43  if test -z '$(MAKELEVEL)'; then \
     44    false; \
     45  elif test -n '$(MAKE_HOST)'; then \
     46    true; \
     47  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
     48    true; \
     49  else \
     50    false; \
     51  fi; \
     52}
     53am__make_running_with_option = \
     54  case $${target_option-} in \
     55      ?) ;; \
     56      *) echo "am__make_running_with_option: internal error: invalid" \
     57              "target option '$${target_option-}' specified" >&2; \
     58         exit 1;; \
     59  esac; \
     60  has_opt=no; \
     61  sane_makeflags=$$MAKEFLAGS; \
     62  if $(am__is_gnu_make); then \
     63    sane_makeflags=$$MFLAGS; \
     64  else \
     65    case $$MAKEFLAGS in \
     66      *\\[\ \	]*) \
     67        bs=\\; \
     68        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     69          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     70    esac; \
     71  fi; \
     72  skip_next=no; \
     73  strip_trailopt () \
     74  { \
     75    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     76  }; \
     77  for flg in $$sane_makeflags; do \
     78    test $$skip_next = yes && { skip_next=no; continue; }; \
     79    case $$flg in \
     80      *=*|--*) continue;; \
     81        -*I) strip_trailopt 'I'; skip_next=yes;; \
     82      -*I?*) strip_trailopt 'I';; \
     83        -*O) strip_trailopt 'O'; skip_next=yes;; \
     84      -*O?*) strip_trailopt 'O';; \
     85        -*l) strip_trailopt 'l'; skip_next=yes;; \
     86      -*l?*) strip_trailopt 'l';; \
     87      -[dEDm]) skip_next=yes;; \
     88      -[JT]) skip_next=yes;; \
     89    esac; \
     90    case $$flg in \
     91      *$$target_option*) has_opt=yes; break;; \
     92    esac; \
     93  done; \
     94  test $$has_opt = yes
     95am__make_dryrun = (target_option=n; $(am__make_running_with_option))
     96am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
     97pkgdatadir = $(datadir)/guacamole-server
     98pkgincludedir = $(includedir)/guacamole-server
     99pkglibdir = $(libdir)/guacamole-server
    100pkglibexecdir = $(libexecdir)/guacamole-server
    101am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    102install_sh_DATA = $(install_sh) -c -m 644
    103install_sh_PROGRAM = $(install_sh) -c
    104install_sh_SCRIPT = $(install_sh) -c
    105INSTALL_HEADER = $(INSTALL_DATA)
    106transform = $(program_transform_name)
    107NORMAL_INSTALL = :
    108PRE_INSTALL = :
    109POST_INSTALL = :
    110NORMAL_UNINSTALL = :
    111PRE_UNINSTALL = :
    112POST_UNINSTALL = :
    113build_triplet = x86_64-pc-linux-gnu
    114host_triplet = x86_64-pc-linux-gnu
    115check_PROGRAMS = test_common_ssh$(EXEEXT)
    116subdir = src/common-ssh/tests
    117ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    118am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
    119	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
    120	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
    121	$(top_srcdir)/configure.ac
    122am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    123	$(ACLOCAL_M4)
    124DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
    125mkinstalldirs = $(install_sh) -d
    126CONFIG_HEADER = $(top_builddir)/config.h
    127CONFIG_CLEAN_FILES =
    128CONFIG_CLEAN_VPATH_FILES =
    129am__dirstamp = $(am__leading_dot)dirstamp
    130am_test_common_ssh_OBJECTS =  \
    131	sftp/test_common_ssh-normalize_path.$(OBJEXT)
    132nodist_test_common_ssh_OBJECTS =  \
    133	test_common_ssh-_generated_runner.$(OBJEXT)
    134test_common_ssh_OBJECTS = $(am_test_common_ssh_OBJECTS) \
    135	$(nodist_test_common_ssh_OBJECTS)
    136test_common_ssh_DEPENDENCIES =
    137AM_V_lt = $(am__v_lt_$(V))
    138am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
    139am__v_lt_0 = --silent
    140am__v_lt_1 = 
    141test_common_ssh_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
    142	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
    143	$(test_common_ssh_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
    144	-o $@
    145AM_V_P = $(am__v_P_$(V))
    146am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
    147am__v_P_0 = false
    148am__v_P_1 = :
    149AM_V_GEN = $(am__v_GEN_$(V))
    150am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
    151am__v_GEN_0 = @echo "  GEN     " $@;
    152am__v_GEN_1 = 
    153AM_V_at = $(am__v_at_$(V))
    154am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
    155am__v_at_0 = @
    156am__v_at_1 = 
    157DEFAULT_INCLUDES = -I. -I$(top_builddir)
    158depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
    159am__maybe_remake_depfiles = depfiles
    160am__depfiles_remade =  \
    161	./$(DEPDIR)/test_common_ssh-_generated_runner.Po \
    162	sftp/$(DEPDIR)/test_common_ssh-normalize_path.Po
    163am__mv = mv -f
    164COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    165	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    166LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    167	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
    168	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    169	$(AM_CFLAGS) $(CFLAGS)
    170AM_V_CC = $(am__v_CC_$(V))
    171am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
    172am__v_CC_0 = @echo "  CC      " $@;
    173am__v_CC_1 = 
    174CCLD = $(CC)
    175LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    176	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    177	$(AM_LDFLAGS) $(LDFLAGS) -o $@
    178AM_V_CCLD = $(am__v_CCLD_$(V))
    179am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
    180am__v_CCLD_0 = @echo "  CCLD    " $@;
    181am__v_CCLD_1 = 
    182SOURCES = $(test_common_ssh_SOURCES) $(nodist_test_common_ssh_SOURCES)
    183DIST_SOURCES = $(test_common_ssh_SOURCES)
    184am__can_run_installinfo = \
    185  case $$AM_UPDATE_INFO_DIR in \
    186    n|no|NO) false;; \
    187    *) (install-info --version) >/dev/null 2>&1;; \
    188  esac
    189am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    190# Read a list of newline-separated strings from the standard input,
    191# and print each of them once, without duplicates.  Input order is
    192# *not* preserved.
    193am__uniquify_input = $(AWK) '\
    194  BEGIN { nonempty = 0; } \
    195  { items[$$0] = 1; nonempty = 1; } \
    196  END { if (nonempty) { for (i in items) print i; }; } \
    197'
    198# Make sure the list of sources is unique.  This is necessary because,
    199# e.g., the same source file might be shared among _SOURCES variables
    200# for different programs/libraries.
    201am__define_uniq_tagged_files = \
    202  list='$(am__tagged_files)'; \
    203  unique=`for i in $$list; do \
    204    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    205  done | $(am__uniquify_input)`
    206am__tty_colors_dummy = \
    207  mgn= red= grn= lgn= blu= brg= std=; \
    208  am__color_tests=no
    209am__tty_colors = { \
    210  $(am__tty_colors_dummy); \
    211  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    212    am__color_tests=no; \
    213  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    214    am__color_tests=yes; \
    215  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    216    am__color_tests=yes; \
    217  fi; \
    218  if test $$am__color_tests = yes; then \
    219    red=''; \
    220    grn=''; \
    221    lgn=''; \
    222    blu=''; \
    223    mgn=''; \
    224    brg=''; \
    225    std=''; \
    226  fi; \
    227}
    228am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    229am__vpath_adj = case $$p in \
    230    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    231    *) f=$$p;; \
    232  esac;
    233am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    234am__install_max = 40
    235am__nobase_strip_setup = \
    236  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    237am__nobase_strip = \
    238  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    239am__nobase_list = $(am__nobase_strip_setup); \
    240  for p in $$list; do echo "$$p $$p"; done | \
    241  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    242  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    243    if (++n[$$2] == $(am__install_max)) \
    244      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    245    END { for (dir in files) print dir, files[dir] }'
    246am__base_list = \
    247  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    248  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    249am__uninstall_files_from_dir = { \
    250  test -z "$$files" \
    251    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    252    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    253         $(am__cd) "$$dir" && rm -f $$files; }; \
    254  }
    255am__recheck_rx = ^[ 	]*:recheck:[ 	]*
    256am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
    257am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
    258# A command that, given a newline-separated list of test names on the
    259# standard input, print the name of the tests that are to be re-run
    260# upon "make recheck".
    261am__list_recheck_tests = $(AWK) '{ \
    262  recheck = 1; \
    263  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    264    { \
    265      if (rc < 0) \
    266        { \
    267          if ((getline line2 < ($$0 ".log")) < 0) \
    268	    recheck = 0; \
    269          break; \
    270        } \
    271      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    272        { \
    273          recheck = 0; \
    274          break; \
    275        } \
    276      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    277        { \
    278          break; \
    279        } \
    280    }; \
    281  if (recheck) \
    282    print $$0; \
    283  close ($$0 ".trs"); \
    284  close ($$0 ".log"); \
    285}'
    286# A command that, given a newline-separated list of test names on the
    287# standard input, create the global log from their .trs and .log files.
    288am__create_global_log = $(AWK) ' \
    289function fatal(msg) \
    290{ \
    291  print "fatal: making $@: " msg | "cat >&2"; \
    292  exit 1; \
    293} \
    294function rst_section(header) \
    295{ \
    296  print header; \
    297  len = length(header); \
    298  for (i = 1; i <= len; i = i + 1) \
    299    printf "="; \
    300  printf "\n\n"; \
    301} \
    302{ \
    303  copy_in_global_log = 1; \
    304  global_test_result = "RUN"; \
    305  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    306    { \
    307      if (rc < 0) \
    308         fatal("failed to read from " $$0 ".trs"); \
    309      if (line ~ /$(am__global_test_result_rx)/) \
    310        { \
    311          sub("$(am__global_test_result_rx)", "", line); \
    312          sub("[ 	]*$$", "", line); \
    313          global_test_result = line; \
    314        } \
    315      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    316        copy_in_global_log = 0; \
    317    }; \
    318  if (copy_in_global_log) \
    319    { \
    320      rst_section(global_test_result ": " $$0); \
    321      while ((rc = (getline line < ($$0 ".log"))) != 0) \
    322      { \
    323        if (rc < 0) \
    324          fatal("failed to read from " $$0 ".log"); \
    325        print line; \
    326      }; \
    327      printf "\n"; \
    328    }; \
    329  close ($$0 ".trs"); \
    330  close ($$0 ".log"); \
    331}'
    332# Restructured Text title.
    333am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    334# Solaris 10 'make', and several other traditional 'make' implementations,
    335# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    336# by disabling -e (using the XSI extension "set +e") if it's set.
    337am__sh_e_setup = case $$- in *e*) set +e;; esac
    338# Default flags passed to test drivers.
    339am__common_driver_flags = \
    340  --color-tests "$$am__color_tests" \
    341  --enable-hard-errors "$$am__enable_hard_errors" \
    342  --expect-failure "$$am__expect_failure"
    343# To be inserted before the command running the test.  Creates the
    344# directory for the log if needed.  Stores in $dir the directory
    345# containing $f, in $tst the test, in $log the log.  Executes the
    346# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    347# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    348# will run the test scripts (or their associated LOG_COMPILER, if
    349# thy have one).
    350am__check_pre = \
    351$(am__sh_e_setup);					\
    352$(am__vpath_adj_setup) $(am__vpath_adj)			\
    353$(am__tty_colors);					\
    354srcdir=$(srcdir); export srcdir;			\
    355case "$@" in						\
    356  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    357    *) am__odir=.;; 					\
    358esac;							\
    359test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
    360  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
    361if test -f "./$$f"; then dir=./;			\
    362elif test -f "$$f"; then dir=;				\
    363else dir="$(srcdir)/"; fi;				\
    364tst=$$dir$$f; log='$@'; 				\
    365if test -n '$(DISABLE_HARD_ERRORS)'; then		\
    366  am__enable_hard_errors=no; 				\
    367else							\
    368  am__enable_hard_errors=yes; 				\
    369fi; 							\
    370case " $(XFAIL_TESTS) " in				\
    371  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    372    am__expect_failure=yes;;				\
    373  *)							\
    374    am__expect_failure=no;;				\
    375esac; 							\
    376$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    377# A shell command to get the names of the tests scripts with any registered
    378# extension removed (i.e., equivalently, the names of the test logs, with
    379# the '.log' extension removed).  The result is saved in the shell variable
    380# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    381# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    382# since that might cause problem with VPATH rewrites for suffix-less tests.
    383# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    384am__set_TESTS_bases = \
    385  bases='$(TEST_LOGS)'; \
    386  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    387  bases=`echo $$bases`
    388AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
    389RECHECK_LOGS = $(TEST_LOGS)
    390AM_RECURSIVE_TARGETS = check recheck
    391TEST_SUITE_LOG = test-suite.log
    392TEST_EXTENSIONS =  .test
    393LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    394am__set_b = \
    395  case '$@' in \
    396    */*) \
    397      case '$*' in \
    398        */*) b='$*';; \
    399          *) b=`echo '$@' | sed 's/\.log$$//'`; \
    400       esac;; \
    401    *) \
    402      b='$*';; \
    403  esac
    404am__test_logs1 = $(TESTS:=.log)
    405am__test_logs2 = $(am__test_logs1:.log=.log)
    406TEST_LOGS = $(am__test_logs2:.test.log=.log)
    407TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
    408TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    409	$(TEST_LOG_FLAGS)
    410am__DIST_COMMON = $(srcdir)/Makefile.in \
    411	$(top_srcdir)/build-aux/depcomp \
    412	$(top_srcdir)/build-aux/test-driver
    413DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    414ACLOCAL = ${SHELL} '/home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/build-aux/missing' aclocal-1.16
    415AMTAR = $${TAR-tar}
    416AM_DEFAULT_VERBOSITY = 1
    417AR = ar
    418AUTOCONF = ${SHELL} '/home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/build-aux/missing' autoconf
    419AUTOHEADER = ${SHELL} '/home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/build-aux/missing' autoheader
    420AUTOMAKE = ${SHELL} '/home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/build-aux/missing' automake-1.16
    421AVCODEC_CFLAGS = 
    422AVCODEC_LIBS = -lavcodec
    423AVFORMAT_CFLAGS = 
    424AVFORMAT_LIBS = -lavformat
    425AVUTIL_CFLAGS = 
    426AVUTIL_LIBS = -lavutil
    427AWK = gawk
    428CAIRO_LIBS = -lcairo
    429CC = gcc
    430CCDEPMODE = depmode=gcc3
    431CFLAGS = -g -O2
    432COMMON_INCLUDE = -I$(top_srcdir)/src/common
    433COMMON_LTLIB = $(top_builddir)/src/common/libguac_common.la
    434COMMON_SSH_INCLUDE = -I$(top_srcdir)/src/common-ssh
    435COMMON_SSH_LTLIB = $(top_builddir)/src/common-ssh/libguac_common_ssh.la
    436CPP = 
    437CPPFLAGS = 
    438CSCOPE = cscope
    439CTAGS = ctags
    440CUNIT_LIBS = 
    441CYGPATH_W = echo
    442DEFS = -DHAVE_CONFIG_H
    443DEPDIR = .deps
    444DLLTOOL = false
    445DL_LIBS = -ldl
    446DSYMUTIL = 
    447DUMPBIN = 
    448ECHO_C = 
    449ECHO_N = -n
    450ECHO_T = 
    451EGREP = /usr/bin/grep -E
    452ETAGS = etags
    453EXEEXT = 
    454FGREP = /usr/bin/grep -F
    455FILECMD = file
    456FREERDP2_PLUGIN_DIR = 
    457GREP = /usr/bin/grep
    458INSTALL = /usr/bin/install -c
    459INSTALL_DATA = ${INSTALL} -m 644
    460INSTALL_PROGRAM = ${INSTALL}
    461INSTALL_SCRIPT = ${INSTALL}
    462INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
    463JPEG_LIBS = -ljpeg
    464LD = /usr/bin/ld -m elf_x86_64
    465LDFLAGS = 
    466LIBGUAC_CLIENT_KUBERNETES_INCLUDE = -I$(top_srcdir)/src/protocols/kubernetes
    467LIBGUAC_CLIENT_KUBERNETES_LTLIB = $(top_builddir)/src/protocols/kubernetes/libguac-client-kubernetes.la
    468LIBGUAC_CLIENT_RDP_INCLUDE = -I$(top_srcdir)/src/protocols/rdp
    469LIBGUAC_CLIENT_RDP_LTLIB = $(top_builddir)/src/protocols/rdp/libguac-client-rdp.la
    470LIBGUAC_INCLUDE = -I$(top_srcdir)/src/libguac
    471LIBGUAC_LTLIB = $(top_builddir)/src/libguac/libguac.la
    472LIBOBJS = 
    473LIBS = 
    474LIBTOOL = $(SHELL) $(top_builddir)/libtool
    475LIPO = 
    476LN_S = ln -s
    477LTLIBOBJS = 
    478LT_SYS_LIBRARY_PATH = 
    479MAKEINFO = ${SHELL} '/home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/build-aux/missing' makeinfo
    480MANIFEST_TOOL = :
    481MATH_LIBS = -lm
    482MKDIR_P = /usr/bin/mkdir -p
    483NM = /usr/bin/nm -B
    484NMEDIT = 
    485OBJDUMP = objdump
    486OBJEXT = o
    487OTOOL = 
    488OTOOL64 = 
    489PACKAGE = guacamole-server
    490PACKAGE_BUGREPORT = 
    491PACKAGE_NAME = guacamole-server
    492PACKAGE_STRING = guacamole-server 1.5.4
    493PACKAGE_TARNAME = guacamole-server
    494PACKAGE_URL = 
    495PACKAGE_VERSION = 1.5.4
    496PANGOCAIRO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/pixman-1 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/sysprof-6 -pthread -I/usr/include/fribidi
    497PANGOCAIRO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz -lcairo
    498PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/sysprof-6 -pthread -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/libpng16 -I/usr/include/pixman-1
    499PANGO_LIBS = -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz
    500PATH_SEPARATOR = :
    501PKG_CONFIG = /usr/bin/pkg-config
    502PKG_CONFIG_LIBDIR = 
    503PKG_CONFIG_PATH = 
    504PNG_LIBS = -lpng
    505PTHREAD_LIBS = -lpthread
    506PULSE_INCLUDE = -I$(top_srcdir)/src/pulse
    507PULSE_LIBS =  -lpulse
    508PULSE_LTLIB = $(top_builddir)/src/pulse/libguac_pulse.la
    509RANLIB = ranlib
    510RDP_CFLAGS = 
    511RDP_LIBS = 
    512SED = /usr/bin/sed
    513SET_MAKE = 
    514SHELL = /bin/sh
    515SSH_LIBS =  -lssh2
    516SSL_LIBS =  -lssl -lcrypto
    517STRIP = strip
    518SWSCALE_CFLAGS = 
    519SWSCALE_LIBS = -lswscale
    520TELNET_LIBS = 
    521TERMINAL_INCLUDE = -I$(top_srcdir)/src/terminal $(PANGO_CFLAGS) $(PANGOCAIRO_CFLAGS) $(COMMON_INCLUDE)
    522TERMINAL_LTLIB = $(top_builddir)/src/terminal/libguac-terminal.la
    523UUID_LIBS = -luuid
    524VERSION = 1.5.4
    525VNC_LIBS = 
    526VORBIS_LIBS =  -logg -lvorbis -lvorbisenc
    527WEBP_LIBS =  -lwebp
    528WEBSOCKETS_LIBS =  -lwebsockets
    529WINSOCK_LIBS = 
    530abs_builddir = /home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/src/common-ssh/tests
    531abs_srcdir = /home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/src/common-ssh/tests
    532abs_top_builddir = /home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4
    533abs_top_srcdir = /home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4
    534ac_ct_AR = ar
    535ac_ct_CC = gcc
    536ac_ct_DUMPBIN = 
    537am__include = include
    538am__leading_dot = .
    539am__quote = 
    540am__tar = $${TAR-tar} chof - "$$tardir"
    541am__untar = $${TAR-tar} xf -
    542bindir = ${exec_prefix}/bin
    543build = x86_64-pc-linux-gnu
    544build_alias = 
    545build_cpu = x86_64
    546build_os = linux-gnu
    547build_vendor = pc
    548builddir = .
    549datadir = ${datarootdir}
    550datarootdir = ${prefix}/share
    551docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
    552dvidir = ${docdir}
    553exec_prefix = ${prefix}
    554host = x86_64-pc-linux-gnu
    555host_alias = 
    556host_cpu = x86_64
    557host_os = linux-gnu
    558host_vendor = pc
    559htmldir = ${docdir}
    560includedir = ${prefix}/include
    561infodir = ${datarootdir}/info
    562init_dir = 
    563install_sh = ${SHELL} /home/snx/dev/ctf-cscg-2024-guacamole-mashup/solve/guacamole-server-1.5.4/build-aux/install-sh
    564libdir = ${exec_prefix}/lib
    565libexecdir = ${exec_prefix}/libexec
    566localedir = ${datarootdir}/locale
    567localstatedir = ${prefix}/var
    568mandir = ${datarootdir}/man
    569mkdir_p = $(MKDIR_P)
    570oldincludedir = /usr/include
    571pdfdir = ${docdir}
    572prefix = /usr/local
    573program_transform_name = s,x,x,
    574psdir = ${docdir}
    575runstatedir = ${localstatedir}/run
    576sbindir = ${exec_prefix}/sbin
    577sharedstatedir = ${prefix}/com
    578srcdir = .
    579sysconfdir = ${prefix}/etc
    580systemd_dir = 
    581target_alias = 
    582top_build_prefix = ../../../
    583top_builddir = ../../..
    584top_srcdir = ../../..
    585AUTOMAKE_OPTIONS = foreign 
    586ACLOCAL_AMFLAGS = -I m4
    587TESTS = $(check_PROGRAMS)
    588test_common_ssh_SOURCES = \
    589    sftp/normalize_path.c
    590
    591test_common_ssh_CFLAGS = \
    592    -Werror -Wall -pedantic \
    593    -I$(top_srcdir)/src/common        \
    594    -I$(top_srcdir)/src/common-ssh    \
    595    -I$(top_srcdir)/src/libguac
    596
    597test_common_ssh_LDADD = \
    598            \
    599    $(top_builddir)/src/common-ssh/libguac_common_ssh.la  \
    600    $(top_builddir)/src/common/libguac_common.la      \
    601    $(top_builddir)/src/libguac/libguac.la
    602
    603
    604#
    605# Autogenerate test runner
    606#
    607GEN_RUNNER = $(top_srcdir)/util/generate-test-runner.pl
    608CLEANFILES = _generated_runner.c
    609nodist_test_common_ssh_SOURCES = \
    610    _generated_runner.c
    611
    612
    613# Use automake's TAP test driver for running any tests
    614LOG_DRIVER = \
    615    env AM_TAP_AWK='$(AWK)' \
    616    $(SHELL) $(top_srcdir)/build-aux/tap-driver.sh
    617
    618all: all-am
    619
    620.SUFFIXES:
    621.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
    622$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    623	@for dep in $?; do \
    624	  case '$(am__configure_deps)' in \
    625	    *$$dep*) \
    626	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
    627	        && { if test -f $@; then exit 0; else break; fi; }; \
    628	      exit 1;; \
    629	  esac; \
    630	done; \
    631	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/common-ssh/tests/Makefile'; \
    632	$(am__cd) $(top_srcdir) && \
    633	  $(AUTOMAKE) --foreign src/common-ssh/tests/Makefile
    634Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    635	@case '$?' in \
    636	  *config.status*) \
    637	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
    638	  *) \
    639	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
    640	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
    641	esac;
    642
    643$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    644	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    645
    646$(top_srcdir)/configure:  $(am__configure_deps)
    647	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    648$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    649	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    650$(am__aclocal_m4_deps):
    651
    652clean-checkPROGRAMS:
    653	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
    654	echo " rm -f" $$list; \
    655	rm -f $$list || exit $$?; \
    656	test -n "$(EXEEXT)" || exit 0; \
    657	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
    658	echo " rm -f" $$list; \
    659	rm -f $$list
    660sftp/$(am__dirstamp):
    661	@$(MKDIR_P) sftp
    662	@: > sftp/$(am__dirstamp)
    663sftp/$(DEPDIR)/$(am__dirstamp):
    664	@$(MKDIR_P) sftp/$(DEPDIR)
    665	@: > sftp/$(DEPDIR)/$(am__dirstamp)
    666sftp/test_common_ssh-normalize_path.$(OBJEXT): sftp/$(am__dirstamp) \
    667	sftp/$(DEPDIR)/$(am__dirstamp)
    668
    669test_common_ssh$(EXEEXT): $(test_common_ssh_OBJECTS) $(test_common_ssh_DEPENDENCIES) $(EXTRA_test_common_ssh_DEPENDENCIES) 
    670	@rm -f test_common_ssh$(EXEEXT)
    671	$(AM_V_CCLD)$(test_common_ssh_LINK) $(test_common_ssh_OBJECTS) $(test_common_ssh_LDADD) $(LIBS)
    672
    673mostlyclean-compile:
    674	-rm -f *.$(OBJEXT)
    675	-rm -f sftp/*.$(OBJEXT)
    676
    677distclean-compile:
    678	-rm -f *.tab.c
    679
    680include ./$(DEPDIR)/test_common_ssh-_generated_runner.Po # am--include-marker
    681include sftp/$(DEPDIR)/test_common_ssh-normalize_path.Po # am--include-marker
    682
    683$(am__depfiles_remade):
    684	@$(MKDIR_P) $(@D)
    685	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
    686
    687am--depfiles: $(am__depfiles_remade)
    688
    689.c.o:
    690	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
    691	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    692	$(am__mv) $$depbase.Tpo $$depbase.Po
    693#	$(AM_V_CC)source='$<' object='$@' libtool=no \
    694#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
    695#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<
    696
    697.c.obj:
    698	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
    699	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
    700	$(am__mv) $$depbase.Tpo $$depbase.Po
    701#	$(AM_V_CC)source='$<' object='$@' libtool=no \
    702#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
    703#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
    704
    705.c.lo:
    706	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
    707	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    708	$(am__mv) $$depbase.Tpo $$depbase.Plo
    709#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
    710#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
    711#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
    712
    713sftp/test_common_ssh-normalize_path.o: sftp/normalize_path.c
    714	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -MT sftp/test_common_ssh-normalize_path.o -MD -MP -MF sftp/$(DEPDIR)/test_common_ssh-normalize_path.Tpo -c -o sftp/test_common_ssh-normalize_path.o `test -f 'sftp/normalize_path.c' || echo '$(srcdir)/'`sftp/normalize_path.c
    715	$(AM_V_at)$(am__mv) sftp/$(DEPDIR)/test_common_ssh-normalize_path.Tpo sftp/$(DEPDIR)/test_common_ssh-normalize_path.Po
    716#	$(AM_V_CC)source='sftp/normalize_path.c' object='sftp/test_common_ssh-normalize_path.o' libtool=no \
    717#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
    718#	$(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -c -o sftp/test_common_ssh-normalize_path.o `test -f 'sftp/normalize_path.c' || echo '$(srcdir)/'`sftp/normalize_path.c
    719
    720sftp/test_common_ssh-normalize_path.obj: sftp/normalize_path.c
    721	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -MT sftp/test_common_ssh-normalize_path.obj -MD -MP -MF sftp/$(DEPDIR)/test_common_ssh-normalize_path.Tpo -c -o sftp/test_common_ssh-normalize_path.obj `if test -f 'sftp/normalize_path.c'; then $(CYGPATH_W) 'sftp/normalize_path.c'; else $(CYGPATH_W) '$(srcdir)/sftp/normalize_path.c'; fi`
    722	$(AM_V_at)$(am__mv) sftp/$(DEPDIR)/test_common_ssh-normalize_path.Tpo sftp/$(DEPDIR)/test_common_ssh-normalize_path.Po
    723#	$(AM_V_CC)source='sftp/normalize_path.c' object='sftp/test_common_ssh-normalize_path.obj' libtool=no \
    724#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
    725#	$(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -c -o sftp/test_common_ssh-normalize_path.obj `if test -f 'sftp/normalize_path.c'; then $(CYGPATH_W) 'sftp/normalize_path.c'; else $(CYGPATH_W) '$(srcdir)/sftp/normalize_path.c'; fi`
    726
    727test_common_ssh-_generated_runner.o: _generated_runner.c
    728	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -MT test_common_ssh-_generated_runner.o -MD -MP -MF $(DEPDIR)/test_common_ssh-_generated_runner.Tpo -c -o test_common_ssh-_generated_runner.o `test -f '_generated_runner.c' || echo '$(srcdir)/'`_generated_runner.c
    729	$(AM_V_at)$(am__mv) $(DEPDIR)/test_common_ssh-_generated_runner.Tpo $(DEPDIR)/test_common_ssh-_generated_runner.Po
    730#	$(AM_V_CC)source='_generated_runner.c' object='test_common_ssh-_generated_runner.o' libtool=no \
    731#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
    732#	$(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -c -o test_common_ssh-_generated_runner.o `test -f '_generated_runner.c' || echo '$(srcdir)/'`_generated_runner.c
    733
    734test_common_ssh-_generated_runner.obj: _generated_runner.c
    735	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -MT test_common_ssh-_generated_runner.obj -MD -MP -MF $(DEPDIR)/test_common_ssh-_generated_runner.Tpo -c -o test_common_ssh-_generated_runner.obj `if test -f '_generated_runner.c'; then $(CYGPATH_W) '_generated_runner.c'; else $(CYGPATH_W) '$(srcdir)/_generated_runner.c'; fi`
    736	$(AM_V_at)$(am__mv) $(DEPDIR)/test_common_ssh-_generated_runner.Tpo $(DEPDIR)/test_common_ssh-_generated_runner.Po
    737#	$(AM_V_CC)source='_generated_runner.c' object='test_common_ssh-_generated_runner.obj' libtool=no \
    738#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
    739#	$(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_common_ssh_CFLAGS) $(CFLAGS) -c -o test_common_ssh-_generated_runner.obj `if test -f '_generated_runner.c'; then $(CYGPATH_W) '_generated_runner.c'; else $(CYGPATH_W) '$(srcdir)/_generated_runner.c'; fi`
    740
    741mostlyclean-libtool:
    742	-rm -f *.lo
    743
    744clean-libtool:
    745	-rm -rf .libs _libs
    746
    747ID: $(am__tagged_files)
    748	$(am__define_uniq_tagged_files); mkid -fID $$unique
    749tags: tags-am
    750TAGS: tags
    751
    752tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    753	set x; \
    754	here=`pwd`; \
    755	$(am__define_uniq_tagged_files); \
    756	shift; \
    757	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    758	  test -n "$$unique" || unique=$$empty_fix; \
    759	  if test $$# -gt 0; then \
    760	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    761	      "$$@" $$unique; \
    762	  else \
    763	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    764	      $$unique; \
    765	  fi; \
    766	fi
    767ctags: ctags-am
    768
    769CTAGS: ctags
    770ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    771	$(am__define_uniq_tagged_files); \
    772	test -z "$(CTAGS_ARGS)$$unique" \
    773	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    774	     $$unique
    775
    776GTAGS:
    777	here=`$(am__cd) $(top_builddir) && pwd` \
    778	  && $(am__cd) $(top_srcdir) \
    779	  && gtags -i $(GTAGS_ARGS) "$$here"
    780cscopelist: cscopelist-am
    781
    782cscopelist-am: $(am__tagged_files)
    783	list='$(am__tagged_files)'; \
    784	case "$(srcdir)" in \
    785	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
    786	  *) sdir=$(subdir)/$(srcdir) ;; \
    787	esac; \
    788	for i in $$list; do \
    789	  if test -f "$$i"; then \
    790	    echo "$(subdir)/$$i"; \
    791	  else \
    792	    echo "$$sdir/$$i"; \
    793	  fi; \
    794	done >> $(top_builddir)/cscope.files
    795
    796distclean-tags:
    797	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    798
    799# Recover from deleted '.trs' file; this should ensure that
    800# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
    801# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
    802# to avoid problems with "make -n".
    803.log.trs:
    804	rm -f $< $@
    805	$(MAKE) $(AM_MAKEFLAGS) $<
    806
    807# Leading 'am--fnord' is there to ensure the list of targets does not
    808# expand to empty, as could happen e.g. with make check TESTS=''.
    809am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
    810am--force-recheck:
    811	@:
    812
    813$(TEST_SUITE_LOG): $(TEST_LOGS)
    814	@$(am__set_TESTS_bases); \
    815	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
    816	redo_bases=`for i in $$bases; do \
    817	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
    818	            done`; \
    819	if test -n "$$redo_bases"; then \
    820	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
    821	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
    822	  if $(am__make_dryrun); then :; else \
    823	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
    824	  fi; \
    825	fi; \
    826	if test -n "$$am__remaking_logs"; then \
    827	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
    828	       "recursion detected" >&2; \
    829	elif test -n "$$redo_logs"; then \
    830	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
    831	fi; \
    832	if $(am__make_dryrun); then :; else \
    833	  st=0;  \
    834	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
    835	  for i in $$redo_bases; do \
    836	    test -f $$i.trs && test -r $$i.trs \
    837	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
    838	    test -f $$i.log && test -r $$i.log \
    839	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
    840	  done; \
    841	  test $$st -eq 0 || exit 1; \
    842	fi
    843	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
    844	ws='[ 	]'; \
    845	results=`for b in $$bases; do echo $$b.trs; done`; \
    846	test -n "$$results" || results=/dev/null; \
    847	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
    848	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
    849	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
    850	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
    851	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
    852	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
    853	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
    854	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
    855	  success=true; \
    856	else \
    857	  success=false; \
    858	fi; \
    859	br='==================='; br=$$br$$br$$br$$br; \
    860	result_count () \
    861	{ \
    862	    if test x"$$1" = x"--maybe-color"; then \
    863	      maybe_colorize=yes; \
    864	    elif test x"$$1" = x"--no-color"; then \
    865	      maybe_colorize=no; \
    866	    else \
    867	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
    868	    fi; \
    869	    shift; \
    870	    desc=$$1 count=$$2; \
    871	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
    872	      color_start=$$3 color_end=$$std; \
    873	    else \
    874	      color_start= color_end=; \
    875	    fi; \
    876	    echo "$${color_start}# $$desc $$count$${color_end}"; \
    877	}; \
    878	create_testsuite_report () \
    879	{ \
    880	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
    881	  result_count $$1 "PASS: " $$pass  "$$grn"; \
    882	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
    883	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
    884	  result_count $$1 "FAIL: " $$fail  "$$red"; \
    885	  result_count $$1 "XPASS:" $$xpass "$$red"; \
    886	  result_count $$1 "ERROR:" $$error "$$mgn"; \
    887	}; \
    888	{								\
    889	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
    890	    $(am__rst_title);						\
    891	  create_testsuite_report --no-color;				\
    892	  echo;								\
    893	  echo ".. contents:: :depth: 2";				\
    894	  echo;								\
    895	  for b in $$bases; do echo $$b; done				\
    896	    | $(am__create_global_log);					\
    897	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
    898	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
    899	if $$success; then						\
    900	  col="$$grn";							\
    901	 else								\
    902	  col="$$red";							\
    903	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
    904	fi;								\
    905	echo "$${col}$$br$${std}"; 					\
    906	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
    907	echo "$${col}$$br$${std}"; 					\
    908	create_testsuite_report --maybe-color;				\
    909	echo "$$col$$br$$std";						\
    910	if $$success; then :; else					\
    911	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
    912	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
    913	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
    914	  fi;								\
    915	  echo "$$col$$br$$std";					\
    916	fi;								\
    917	$$success || exit 1
    918
    919check-TESTS: $(check_PROGRAMS)
    920	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
    921	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
    922	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    923	@set +e; $(am__set_TESTS_bases); \
    924	log_list=`for i in $$bases; do echo $$i.log; done`; \
    925	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
    926	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
    927	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
    928	exit $$?;
    929recheck: all $(check_PROGRAMS)
    930	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    931	@set +e; $(am__set_TESTS_bases); \
    932	bases=`for i in $$bases; do echo $$i; done \
    933	         | $(am__list_recheck_tests)` || exit 1; \
    934	log_list=`for i in $$bases; do echo $$i.log; done`; \
    935	log_list=`echo $$log_list`; \
    936	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
    937	        am__force_recheck=am--force-recheck \
    938	        TEST_LOGS="$$log_list"; \
    939	exit $$?
    940test_common_ssh.log: test_common_ssh$(EXEEXT)
    941	@p='test_common_ssh$(EXEEXT)'; \
    942	b='test_common_ssh'; \
    943	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    944	--log-file $$b.log --trs-file $$b.trs \
    945	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    946	"$$tst" $(AM_TESTS_FD_REDIRECT)
    947.test.log:
    948	@p='$<'; \
    949	$(am__set_b); \
    950	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    951	--log-file $$b.log --trs-file $$b.trs \
    952	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    953	"$$tst" $(AM_TESTS_FD_REDIRECT)
    954#.test$(EXEEXT).log:
    955#	@p='$<'; \
    956#	$(am__set_b); \
    957#	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    958#	--log-file $$b.log --trs-file $$b.trs \
    959#	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    960#	"$$tst" $(AM_TESTS_FD_REDIRECT)
    961distdir: $(BUILT_SOURCES)
    962	$(MAKE) $(AM_MAKEFLAGS) distdir-am
    963
    964distdir-am: $(DISTFILES)
    965	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    966	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    967	list='$(DISTFILES)'; \
    968	  dist_files=`for file in $$list; do echo $$file; done | \
    969	  sed -e "s|^$$srcdirstrip/||;t" \
    970	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    971	case $$dist_files in \
    972	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    973			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    974			   sort -u` ;; \
    975	esac; \
    976	for file in $$dist_files; do \
    977	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    978	  if test -d $$d/$$file; then \
    979	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    980	    if test -d "$(distdir)/$$file"; then \
    981	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    982	    fi; \
    983	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    984	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
    985	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    986	    fi; \
    987	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
    988	  else \
    989	    test -f "$(distdir)/$$file" \
    990	    || cp -p $$d/$$file "$(distdir)/$$file" \
    991	    || exit 1; \
    992	  fi; \
    993	done
    994check-am: all-am
    995	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
    996	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
    997check: check-am
    998all-am: Makefile
    999installdirs:
   1000install: install-am
   1001install-exec: install-exec-am
   1002install-data: install-data-am
   1003uninstall: uninstall-am
   1004
   1005install-am: all-am
   1006	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   1007
   1008installcheck: installcheck-am
   1009install-strip:
   1010	if test -z '$(STRIP)'; then \
   1011	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1012	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1013	      install; \
   1014	else \
   1015	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1016	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1017	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1018	fi
   1019mostlyclean-generic:
   1020	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
   1021	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
   1022	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1023
   1024clean-generic:
   1025	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
   1026
   1027distclean-generic:
   1028	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1029	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1030	-rm -f sftp/$(DEPDIR)/$(am__dirstamp)
   1031	-rm -f sftp/$(am__dirstamp)
   1032
   1033maintainer-clean-generic:
   1034	@echo "This command is intended for maintainers to use"
   1035	@echo "it deletes files that may require special tools to rebuild."
   1036clean: clean-am
   1037
   1038clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
   1039	mostlyclean-am
   1040
   1041distclean: distclean-am
   1042		-rm -f ./$(DEPDIR)/test_common_ssh-_generated_runner.Po
   1043	-rm -f sftp/$(DEPDIR)/test_common_ssh-normalize_path.Po
   1044	-rm -f Makefile
   1045distclean-am: clean-am distclean-compile distclean-generic \
   1046	distclean-tags
   1047
   1048dvi: dvi-am
   1049
   1050dvi-am:
   1051
   1052html: html-am
   1053
   1054html-am:
   1055
   1056info: info-am
   1057
   1058info-am:
   1059
   1060install-data-am:
   1061
   1062install-dvi: install-dvi-am
   1063
   1064install-dvi-am:
   1065
   1066install-exec-am:
   1067
   1068install-html: install-html-am
   1069
   1070install-html-am:
   1071
   1072install-info: install-info-am
   1073
   1074install-info-am:
   1075
   1076install-man:
   1077
   1078install-pdf: install-pdf-am
   1079
   1080install-pdf-am:
   1081
   1082install-ps: install-ps-am
   1083
   1084install-ps-am:
   1085
   1086installcheck-am:
   1087
   1088maintainer-clean: maintainer-clean-am
   1089		-rm -f ./$(DEPDIR)/test_common_ssh-_generated_runner.Po
   1090	-rm -f sftp/$(DEPDIR)/test_common_ssh-normalize_path.Po
   1091	-rm -f Makefile
   1092maintainer-clean-am: distclean-am maintainer-clean-generic
   1093
   1094mostlyclean: mostlyclean-am
   1095
   1096mostlyclean-am: mostlyclean-compile mostlyclean-generic \
   1097	mostlyclean-libtool
   1098
   1099pdf: pdf-am
   1100
   1101pdf-am:
   1102
   1103ps: ps-am
   1104
   1105ps-am:
   1106
   1107uninstall-am:
   1108
   1109.MAKE: check-am install-am install-strip
   1110
   1111.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
   1112	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
   1113	cscopelist-am ctags ctags-am distclean distclean-compile \
   1114	distclean-generic distclean-libtool distclean-tags distdir dvi \
   1115	dvi-am html html-am info info-am install install-am \
   1116	install-data install-data-am install-dvi install-dvi-am \
   1117	install-exec install-exec-am install-html install-html-am \
   1118	install-info install-info-am install-man install-pdf \
   1119	install-pdf-am install-ps install-ps-am install-strip \
   1120	installcheck installcheck-am installdirs maintainer-clean \
   1121	maintainer-clean-generic mostlyclean mostlyclean-compile \
   1122	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   1123	recheck tags tags-am uninstall uninstall-am
   1124
   1125.PRECIOUS: Makefile
   1126
   1127
   1128_generated_runner.c: $(test_common_ssh_SOURCES)
   1129	$(AM_V_GEN) $(GEN_RUNNER) $(test_common_ssh_SOURCES) > $@
   1130
   1131# Tell versions [3.59,3.63) of GNU make to not export all variables.
   1132# Otherwise a system limit (for SysV at least) may be exceeded.
   1133.NOEXPORT: